package cn.iocoder.yudao.module.shipment.dal.mysql.makeBillOfLading;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.shipment.dal.dataobject.makeBillOfLading.MakeBillOfLadingDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.shipment.vo.makeBillOfLading.*;

/**
 * 制作提货单 Mapper
 * @author 系统管理员
 */
@Mapper
public interface MakeBillOfLadingMapper extends AbstractMapper<MakeBillOfLadingDO> {
    @Override
    default PageResult<MakeBillOfLadingDO> selectPage(PageVO page, Object object) {
        if (object instanceof MakeBillOfLadingQueryVO) {
            MakeBillOfLadingQueryVO vo = (MakeBillOfLadingQueryVO)object;
            return selectPage(page, new LambdaQuery<MakeBillOfLadingDO>()
                .betweenIfPresent(MakeBillOfLadingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(MakeBillOfLadingDO::getOrderId, vo.getOrderId())
                .eqIfPresent(MakeBillOfLadingDO::getBillContent, vo.getBillContent())
                .eqIfPresent(MakeBillOfLadingDO::getStatus, vo.getStatus())
                    .orderByDesc(MakeBillOfLadingDO::getId));
        }

        return null;
    }

    @Override
    default List<MakeBillOfLadingDO> selectList(Object object) {
        if (object instanceof MakeBillOfLadingQueryVO) {
            MakeBillOfLadingQueryVO vo = (MakeBillOfLadingQueryVO)object;
            return selectList(new LambdaQuery<MakeBillOfLadingDO>()
                .betweenIfPresent(MakeBillOfLadingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(MakeBillOfLadingDO::getOrderId, vo.getOrderId())
                .eqIfPresent(MakeBillOfLadingDO::getBillContent, vo.getBillContent())
                .eqIfPresent(MakeBillOfLadingDO::getStatus, vo.getStatus())
                    .orderByDesc(MakeBillOfLadingDO::getId));
        }

        return null;
    }

    MakeBillOfLadingListBackVO getLadingBillOrderInfo(Long orderId);

    String getBpmStatus(String process_instance_id);
}
