package cn.iocoder.yudao.module.shipment.service.boxLadingBill;

import java.util.*;
import javax.servlet.http.HttpServletResponse;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLadingBillDO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillUpdateReqVO;

/**
 * 提单补料 Service 接口
 *
 * @author wlh
 */
public interface BoxLadingBillService extends IService<BoxLadingBillDO> {

    /**
     * 创建提单补料
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxLadingBill(@Valid BoxLadingBillCreateReqVO createReqVO);

    /**
     * 更新提单补料
     * @param updateReqVO 更新信息
     */
    void updateBoxLadingBill(@Valid BoxLadingBillUpdateReqVO updateReqVO);


    /**
     * 获得提单补料
     * @param id 编号
     * @return 提单补料
     */
    BoxLadingBillDO getBoxLadingBill(Long id);

    /**
     * 获得提单补料列表
     * @param ids 编号
     * @return 提单补料列表
     */
    List<BoxLadingBillDO> getBoxLadingBillList(Collection<Long> ids);

    /**
     * 获得提单补料分页
     * @param page 分页查询
     * @param query 查询
     * @return 提单补料分页
     */
    PageResult<BoxLadingBillDO> getBoxLadingBillPage(BoxLadingBillQueryVO query, PageVO page);

    /**
     * 获得提单补料列表, 用于 Excel 导出
     * @param query 查询
     * @return 提单补料列表
     */
    List<BoxLadingBillDO> getBoxLadingBillList(BoxLadingBillQueryVO query);

    Map<String,String> getBoxLadingBillPdf(Long shipmentId) throws Exception;

    Map<String,String> getBoxLadingBillPdf_2(Long shipmentId) throws Exception;
}
