package cn.iocoder.yudao.module.shipment.vo.box;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class BoxSettlementQueryVO {

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "始发地id列表")
    private List<Long> startWarehouseIdList;

    @ApiModelProperty(value = "目的国家ID")
    private Long destCountryId;

    @ApiModelProperty(value = "目的仓库id列表")
    private List<Long> destWarehouseIdList;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始结算时间")
    private Date beginJsDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束结算时间")
    private Date endJsDate;

    @ApiModelProperty(value = "191-未结算，192-结算中，193-已结算")
    private Integer slStatus;

    @ApiModelProperty(value = "出货状态")
    private Integer boxStatus;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始到港时间")
    private Date beginDaogangTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束到港时间")
    private Date endDaogangTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始清关时间")
    private Date beginQingguanTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束清关时间")
    private Date endQingguanTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始卸柜/到仓时间")
    private Date  beginUlWarehouseTime ;


    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束卸柜/到仓时间")
    private Date  endUlWarehouseTime ;
}
