package cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 清关文件 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 清关文件 Response VO")
public class BoxClearanceDocBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("出单方式，1：电放，2：正本")
    @ApiModelProperty(value = "出单方式，1：电放，2：正本")
    private Integer cdOutBillType;

    @ExcelProperty("电放时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "电放时间")
    private Date cdElectricTime;

    @ExcelProperty("电放凭证附件")
    @ApiModelProperty(value = "电放凭证附件")
    private String cdElectricVoucher;

    @ExcelProperty("寄送时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "寄送时间")
    private Date cdSendTime;

    @ExcelProperty("快递单号")
    @ApiModelProperty(value = "快递单号")
    private String cdBillNo;

    @ExcelProperty("是否有清关agentlist文件，1：无需，2：已做")
    @ApiModelProperty(value = "是否有清关agentlist文件，1：无需，2：已做")
    private Integer cdAgentlistType;

    @ExcelProperty("agentlist文件日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "agentlist文件日期")
    private Date cdAgentlistTime;

    @ExcelProperty("agentlist文件路径")
    @ApiModelProperty(value = "agentlist文件路径")
    private String cdAgentlistFile;

    @ExcelProperty("是否有清关soncap文件，1：无需，2：已做")
    @ApiModelProperty(value = "是否有清关soncap文件，1：无需，2：已做")
    private Integer cdSoncapType;

    @ExcelProperty("soncap文件日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "soncap文件日期")
    private Date cdSoncapTime;

    @ExcelProperty("soncap文件路径")
    @ApiModelProperty(value = "soncap文件路径")
    private String cdSoncapFile;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "空运清关文件列表")
    private String docFiles;

    @ApiModelProperty(value = "awb文件路径")
    private String cdAwbFile ;


}
